Package org.kie.internal.task.query

## Interface TaskAuditQueryBuilder<T,​R>

- All Superinterfaces:
    `ExtendedParametrizedQueryBuilder<T,​R>`, `ParametrizedQueryBuilder<T>`, `ProcessInstanceIdQueryBuilder<T,​R>`
  All Known Subinterfaces:
    `AuditTaskQueryBuilder`

      public interface TaskAuditQueryBuilder<T,​R>
      extends ProcessInstanceIdQueryBuilder<T,​R>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `id​(long... id)` | Specify one or more task event ids to use as a criteria
    `T` | `taskId​(long... taskId)` | Specify one or more task instance ids to use as a criteria.
    `T` | `taskIdRange​(java.lang.Long taskIdMin, java.lang.Long taskIdMax)` | Specify an inclusive range of task ids to use as a criteria

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

- - ### Method Detail

    - #### taskId

          T taskId​(long... taskId)

      Specify one or more task instance ids to use as a criteria.
      Parameters:
        `taskId` - one or more task ids
      Returns:
        The current query builder instance

    - #### taskIdRange

          T taskIdRange​(java.lang.Long taskIdMin,
                        java.lang.Long taskIdMax)

      Specify an inclusive range of task ids to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `taskIdMin` - the minimal (lower) taskId to use in the range
        `taskIdMax` - the max (upper) taskId to use in the range
      Returns:
        The current query builder instance

    - #### id

          T id​(long... id)

      Specify one or more task event ids to use as a criteria
      Parameters:
        `id` - one or more task event entity ids
      Returns:
        The current query builder instance